DCMTK: DcmFindSCUDefaultCallback Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmFindSCUDefaultCallback Class Reference

Default implementation of FindSCU callback class. More...

Inheritance diagram for DcmFindSCUDefaultCallback:

## Public Member Functions
| DcmFindSCUDefaultCallback (DcmFindSCUExtractMode extractResponses, int cancelAfterNResponses, const char *outputDirectory=NULL, STD_NAMESPACE ofstream *outputStream=NULL, const unsigned int limitOutput=0)
| constructor
virtual | ~DcmFindSCUDefaultCallback ()
| destructor
virtual void | callback (T_DIMSE_C_FindRQ *request, int &responseCount, T_DIMSE_C_FindRSP *rsp, DcmDataset *responseIdentifiers)
| callback method that is called once for each incoming C-FIND-RSP message.
Public Member Functions inherited from DcmFindSCUCallback
| DcmFindSCUCallback ()
| default constructor
virtual | ~DcmFindSCUCallback ()
| destructor
void | setAssociation (T_ASC_Association *assoc)
| assigns a value to member variable assoc_.
void | setPresentationContextID (T_ASC_PresentationContextID presId)
| assigns a value to member variable presId_.

## Private Attributes
const DcmFindSCUExtractMode | extractResponses_
| mode specifying whether and how to extract C-FIND responses.
const int | cancelAfterNResponses_
| if non-negative, a C-FIND-CANCEL will be issued after the given number of incoming C-FIND-RSP messages.
const unsigned int | limitOutput_
| maximum number of responses written to file (default: unlimited)
OFString | outputDirectory_
| directory used to store the output files (e.g. response datasets).
STD_NAMESPACE ofstream * | outputStream_
| pointer to output stream that is used when extractResponses_ is FEM_singleXMLFile.

## Additional Inherited Members
Protected Attributes inherited from DcmFindSCUCallback
T_ASC_Association * | assoc_
| pointer to current association. Will contain valid value when callback() is called.
T_ASC_PresentationContextID | presId_
| current presentation context ID. Will contain valid value when callback() is called.

## Detailed Description

Default implementation of FindSCU callback class.

This implementation is used when no explicit callback is passed by the user, e.g. in the findscu tool.

## Constructor & Destructor Documentation

## ◆ DcmFindSCUDefaultCallback()

DcmFindSCUDefaultCallback::DcmFindSCUDefaultCallback | ( | DcmFindSCUExtractMode | extractResponses,
|  | int | cancelAfterNResponses,
|  | const char * | outputDirectory = NULL,
|  | STD_NAMESPACE ofstream * | outputStream = NULL,
|  | const unsigned int | limitOutput = 0 )

constructor

Parameters

  extractResponses | mode specifying whether and how to extract C-FIND responses.
  cancelAfterNResponses | if non-negative, a C-FIND-CANCEL will be issued after the given number of incoming C-FIND-RSP messages.
  outputDirectory | directory used to store the output files (e.g. response datasets). If NULL, the current directory is used.
  outputStream | pointer to output stream that is used when extractResponses is set to FEM_singleXMLFile.
  limitOutput | maximum number of responses written to file (0 means unlimited)

## Member Function Documentation

## ◆ callback()

virtual void DcmFindSCUDefaultCallback::callback | ( | T_DIMSE_C_FindRQ * | request,
|  | int & | responseCount,
|  | T_DIMSE_C_FindRSP * | rsp,
|  | DcmDataset * | responseIdentifiers )
| virtual

callback method that is called once for each incoming C-FIND-RSP message.

Parameters

  request | DIMSE command of the original C-FIND request.
  responseCount | a reference to the integer indicating the count of received responses.
  rsp | DIMSE command of incoming C-FIND response.
  responseIdentifiers | dataset of incoming C-FIND response.

Implements DcmFindSCUCallback.

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dfindscu.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2